Loading...
Searching...
No Matches
datetime::DateTime::ZoneCfg Struct Reference

Time zone configuration. More...

`import "DateTime.idl";`

## Public Attributes

int | id
| Selected time zone id.
string | name
| Selected time zone name (ignored on setCfg() if id != 0)
boolean | enableAutoDST
| Enable automatic daylight saving time adjustment.

## Detailed Description

Time zone configuration.

There are two approaches on how timezones are identified:

1. id-based
   - timezone data identified with a numeric non-zero id
   - id != 0
   - name is the display name of the timezone and ignored on setCfg()
2. name-based (see NOTES below!)
   - timezone data identified with a name from the IANA timezone database (aka Olson database)
   - id == 0
   - name is the official IANA timezone name, e.g. Europe/Berlin or America/New_York

NOTES:

- The user frontends currently only support the id-based approach and may not work correctly with the name-based approach.
- Setting enableAutoDST to `true` has only an effect if the according ZoneInfo::hasDSTInfo field is also `true`.

Definition at line 60 of file DateTime.idl.

## Member Data Documentation

## enableAutoDST

boolean datetime::DateTime::ZoneCfg::enableAutoDST

Enable automatic daylight saving time adjustment.

Definition at line 63 of file DateTime.idl.

## id

int datetime::DateTime::ZoneCfg::id

Selected time zone id.

Definition at line 61 of file DateTime.idl.

## name

string datetime::DateTime::ZoneCfg::name

Selected time zone name (ignored on setCfg() if id != 0)

Definition at line 62 of file DateTime.idl.

The documentation for this struct was generated from the following file:

- DateTime.idl